  ############################################################################
  ## 
  ##  common.mk  
  ## 
  ##
  ##  AgentX++ v1.4.17
  ##  -------------------------------------
  ##  Copyright (C) 2000-2009 - Frank Fock
  ##  
  ##  Use of this software is subject to the license agreement you received
  ##  with this software and which can be downloaded from 
  ##  http:/www.agentpp.com
  ##
  ##  This is licensed software and may not be used in a commercial
  ##  environment, except for evaluation purposes, unless a valid
  ##  license has been purchased.
  ##
  ##  Last updated: Tue May 26 23:31:10 CEST 2009 
  ##  
  ##########################################################################*

INCLUDE		= -I../include -I../../../include \
		  -I../../../../agent++/include \
		  -I../../../../snmp++/include

SNMPLIBPATH     = ../../../../snmp++/lib
AGENTLIBPATH	= ../../../../agent++/lib
AGENTXLIBPATH	= ../../../lib
LIBDESPATH  	= ../../../../libdes
LIB	        = -L$(AGENTXLIBPATH) -L$(AGENTLIBPATH) \
		  -L$(SNMPLIBPATH) -L$(LIBDESPATH) \
		  -lpthread -lagentx++ -lagent++ -lsnmp++ -ldes $(SYSLIBS)

include Modules.mk

EXECUTABLE	= agent

HEADERS		= 

all:		$(EXECUTABLE)

clean:  
	$(RM) *.o *~ ../include/*~

clobber: clean
	$(RM) $(EXECUTABLE)

reset: clobber
	find . -name "*.cpp" -not -name "agent.cpp" | xargs $(RM)
	$(RM) Modules.mk module_init.h ../include/*.h


#compile rules
.SUFFIXES:	.cpp

$(EXECUTABLE):  $(AGENTOBJ) $(SNMPLIBPATH)/libsnmp++.a \
		$(AGENTLIBPATH)/libagent++.a $(AGENTXLIBPATH)/libagentx++.a
		$(CPP) $(CFLAGS) -o $@ $(AGENTOBJ) $(LIB) 

%.o:		%.cpp $(HEADERS)
		$(RM) $@
		$(CPP) $(CFLAGS) $(CLINK) $@ $(INCLUDE) $< 

